Subject: Re: chrp mmu and booting.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 24 Jan 2004 22:36:27 +1100

> Well, as you know, we were forced on pegasos to force the start
> address to 0X10000, since the translate call returned 0. I spoke with
> the OF guy, and he said that it is normal that translate would return 0
> if you send it 0, which probably means that the translation is just
> plain doing nothing, which made me believe that the MMU must be of, or
> doing a plain identify translation or something.

I have to dbl check the code, we should translate our current offset
actually, not 0. (To get your current offset, bl <something>, then
mflr r3; blr)

> I was wondering if this is how it is supposed to be or not, and as i
> have access to the OF source code, i wondered if it was something worth
> fixing.
>
> > What prom.c is expected to return is at what physical address the kernel
> > was loaded. If you have MMU off or 1:1 mapping, the reloc "offset" is
> > usually enough, but if OF have setup some kind of non-1:1 MMU mapping
> > then you need the translate call.
>
> mmm.
>
> Friendly,
>
> Sven Luther
>
--
Benjamin Herrenschmidt <[email-masked]>

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/